Bug 155025 - [UPDATE] security/py-PF: update to 0.0.5
Summary: [UPDATE] security/py-PF: update to 0.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-25 11:00 UTC by R.Mahmatkhanov
Modified: 2011-02-27 13:09 UTC (History)
0 users

See Also:


Attachments
file.diff (1.35 KB, patch)
2011-02-25 11:00 UTC, R.Mahmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-02-25 11:00:20 UTC
- update to 0.0.5
- add EXTRACT_SUFX
- add license
- fix version in setup.py to generate correct egg-info

changelog:
 - Updated to OpenBSD 4.8; the PF stack has undergone some major changes,
   such as removing the different rule types (nat, rdr, binat ... rules do
   not exist anymore) and introducing 'match' rules.
   This has greatly simplified the PFRuleset class and the PacketFilter
   methods that load/retrieve rules.
 - Various bugs have been corrected
 - All the code has been reviewed and is now Py3k-ready.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-02-25 11:00:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-25 11:00:36 UTC
Maintainer of security/py-PF,

Please note that PR ports/155025 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155025

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-25 11:00:39 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Sofian Brabez 2011-02-25 14:38:49 UTC
Hi,

On Fri, Feb 25, 2011 at 12:00 PM, Edwin Groothuis <edwin@freebsd.org> wrote=
:
> Maintainer of security/py-PF,
>
> Please note that PR ports/155025 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/155025
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>

I approve this patch, it's OK for me after tinderbox builds. Thanks !

http://regis.goodking.ca/tb/logs/7-sbz/py26-PF-0.0.5.log
http://regis.goodking.ca/tb/logs/8-sbz/py26-PF-0.0.5.log
http://regis.goodking.ca/tb/logs/9-sbz/py26-PF-0.0.5.log

Regards

--=20
sbz / @sbrabez
Comment 5 Martin Wilke freebsd_committer 2011-02-27 13:09:40 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!